For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETList all events
      • GETRetrieve an event
      • GETList all webhook endpoints
      • GETRetrieve a webhook endpoint
      • Working with webhooks
    • API Errors
Get access
LogoLogo
API ReferenceEvents and Webhooks

Retrieve an event

GET
/events/:event_id
GET
/events/:event_id
$curl https://test.api.kota.io/events/evt_3b1333d87d9d4fd6ad83ba7f6b0e951a \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "id": "evt_3b1333d87d9d4fd6ad83ba7f6b0e951a",
3 "platform_id": "pt_7f9a2c4d5e6b7a8c9d0e1f2a3b4c5d6e",
4 "created": "2024-11-15T14:22:30Z",
5 "type": "user.signup",
6 "api_version": "2024-04-01"
7}

Retrieve an event object. Events are available for up to 30 days.

The event’s data is rendered according to the API version at the time of its creation, as specified by the api_version attribute in the event object, rather than the current API version

Previous

List all events

Next

List all webhook endpoints

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

event_idstringRequiredformat: "evt_.+"

Response

OK
idstringformat: "evt_.+"
platform_idstringformat: "pt_.+"
createddatetime
typestring
dataobject
api_versionstringRead-only

Errors

404
Not Found Error